org.apache.olingo.odata2.ref.processor

## Class ScenarioDataSource

- java.lang.Object
- - org.apache.olingo.odata2.ref.processor.ScenarioDataSource

-     public class ScenarioDataSource
      extends Object

  Data for the reference scenario

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ScenarioDataSource.BinaryData` Container to store binary data (as byte array) and the associated MIME type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScenarioDataSource(DataContainer dataContainer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createData(EdmEntitySet entitySet, Object data)`
    `void` | `deleteData(EdmEntitySet entitySet, Map<String,Object> keys)`
    `void` | `deleteRelation(EdmEntitySet sourceEntitySet, Object sourceData, EdmEntitySet targetEntitySet, Map<String,Object> targetKeys)`
    `Object` | `newDataObject(EdmEntitySet entitySet)`
    `ScenarioDataSource.BinaryData` | `readBinaryData(EdmEntitySet entitySet, Object mediaLinkEntryData)`
    `List<?>` | `readData(EdmEntitySet entitySet)`
    `Object` | `readData(EdmEntitySet entitySet, Map<String,Object> keys)`
    `Object` | `readData(EdmFunctionImport function, Map<String,Object> parameters, Map<String,Object> keys)`
    `Object` | `readRelatedData(EdmEntitySet sourceEntitySet, Object sourceData, EdmEntitySet targetEntitySet, Map<String,Object> targetKeys)`
    `void` | `writeBinaryData(EdmEntitySet entitySet, Object mediaLinkEntryData, ScenarioDataSource.BinaryData binaryData)`
    `void` | `writeRelation(EdmEntitySet sourceEntitySet, Object sourceData, EdmEntitySet targetEntitySet, Map<String,Object> targetKeys)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScenarioDataSource

          public ScenarioDataSource(DataContainer dataContainer)

  - ### Method Detail

    - #### readData

          public List<?> readData(EdmEntitySet entitySet)
                           throws ODataNotImplementedException,
                                  ODataNotFoundException,
                                  EdmException

      Throws:
        `ODataNotImplementedException`
        `ODataNotFoundException`
        `EdmException`

    - #### readData

          public Object readData(EdmEntitySet entitySet,
                                 Map<String,Object> keys)
                          throws ODataNotImplementedException,
                                 ODataNotFoundException,
                                 EdmException

      Throws:
        `ODataNotImplementedException`
        `ODataNotFoundException`
        `EdmException`

    - #### readRelatedData

          public Object readRelatedData(EdmEntitySet sourceEntitySet,
                                        Object sourceData,
                                        EdmEntitySet targetEntitySet,
                                        Map<String,Object> targetKeys)
                                 throws ODataNotImplementedException,
                                        ODataNotFoundException,
                                        EdmException

      Throws:
        `ODataNotImplementedException`
        `ODataNotFoundException`
        `EdmException`

    - #### readData

          public Object readData(EdmFunctionImport function,
                                 Map<String,Object> parameters,
                                 Map<String,Object> keys)
                          throws ODataNotImplementedException,
                                 ODataNotFoundException,
                                 EdmException

      Throws:
        `ODataNotImplementedException`
        `ODataNotFoundException`
        `EdmException`

    - #### readBinaryData

          public ScenarioDataSource.BinaryData readBinaryData(EdmEntitySet entitySet,
                                                              Object mediaLinkEntryData)
                                                       throws ODataNotImplementedException,
                                                              ODataNotFoundException,
                                                              EdmException,
                                                              ODataApplicationException

      Throws:
        `ODataNotImplementedException`
        `ODataNotFoundException`
        `EdmException`
        `ODataApplicationException`

    - #### writeBinaryData

          public void writeBinaryData(EdmEntitySet entitySet,
                                      Object mediaLinkEntryData,
                                      ScenarioDataSource.BinaryData binaryData)
                               throws ODataNotImplementedException,
                                      ODataNotFoundException,
                                      EdmException,
                                      ODataApplicationException

      Throws:
        `ODataNotImplementedException`
        `ODataNotFoundException`
        `EdmException`
        `ODataApplicationException`

    - #### newDataObject

          public Object newDataObject(EdmEntitySet entitySet)
                               throws ODataNotImplementedException,
                                      EdmException

      Throws:
        `ODataNotImplementedException`
        `EdmException`

    - #### deleteData

          public void deleteData(EdmEntitySet entitySet,
                                 Map<String,Object> keys)
                          throws ODataNotImplementedException,
                                 ODataNotFoundException,
                                 EdmException,
                                 ODataApplicationException

      Throws:
        `ODataNotImplementedException`
        `ODataNotFoundException`
        `EdmException`
        `ODataApplicationException`

    - #### createData

          public void createData(EdmEntitySet entitySet,
                                 Object data)
                          throws ODataNotImplementedException,
                                 EdmException,
                                 ODataApplicationException

      Throws:
        `ODataNotImplementedException`
        `EdmException`
        `ODataApplicationException`

    - #### deleteRelation

          public void deleteRelation(EdmEntitySet sourceEntitySet,
                                     Object sourceData,
                                     EdmEntitySet targetEntitySet,
                                     Map<String,Object> targetKeys)
                              throws ODataNotImplementedException,
                                     ODataNotFoundException,
                                     EdmException,
                                     ODataApplicationException

      Throws:
        `ODataNotImplementedException`
        `ODataNotFoundException`
        `EdmException`
        `ODataApplicationException`

    - #### writeRelation

          public void writeRelation(EdmEntitySet sourceEntitySet,
                                    Object sourceData,
                                    EdmEntitySet targetEntitySet,
                                    Map<String,Object> targetKeys)
                             throws ODataNotImplementedException,
                                    ODataNotFoundException,
                                    EdmException,
                                    ODataApplicationException

      Throws:
        `ODataNotImplementedException`
        `ODataNotFoundException`
        `EdmException`
        `ODataApplicationException`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.